[SCM] UNNAMED PROJECT branch, master, updated. 0.40-16-g06c3b6e

Niels Thykier niels at thykier.net
Tue Mar 13 19:22:54 UTC 2012


The following commit has been merged in the master branch:
commit 20512bd641754074861ab536d5adb114cdc8758a
Author: Niels Thykier <niels at thykier.net>
Date:   Tue Mar 13 20:21:47 2012 +0100

    Ensure the test suite fails if the java-arch.sh test fails
    
    Add minor correction to the expected output of java-arch.sh.
    
    Signed-off-by: Niels Thykier <niels at thykier.net>

diff --git a/debian/changelog b/debian/changelog
index 0ac0bf0..7b92c02 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -28,6 +28,7 @@ javatools (0.41) UNRELEASED; urgency=low
   * Use Standards-Versions 3.9.3 and the new DEP-5 URI in jh_makepkg
     for newly generated packages.
   * Bumped Standards-Versions 3.9.3 - no changes required.
+  * Ensure the test suite fails if the java-arch.sh test fails.
 
  -- Sylvestre Ledru <sylvestre at debian.org>  Fri, 24 Feb 2012 16:22:58 +0100
 
diff --git a/tests/archs-out b/tests/archs-out
index 1427e87..bed47c2 100644
--- a/tests/archs-out
+++ b/tests/archs-out
@@ -10,5 +10,5 @@ mips
 mipsel
 ppc
 s390
-s390
+s390x
 sparc
diff --git a/tests/tests.sh b/tests/tests.sh
index 28f9669..4a78229 100755
--- a/tests/tests.sh
+++ b/tests/tests.sh
@@ -80,17 +80,26 @@ checkarch()
 		echo "Failed converting arch $1"
 		echo "Desired $2"
 		echo "Actual $OUT"
+		return 1
 	fi
+	return 0
 }
 
 # checkarches inputfile output file
 checkarches ()
 {
 	i=1
+	RET=0
 	for a in `cat "$1"`; do
-		checkarch "$a" "`head -n$i "$2" | tail -n1`"
+		if ! checkarch "$a" "`head -n$i "$2" | tail -n1`" ; then
+			RET=1
+		fi
 		i=$(( $i + 1 ))
 	done
+	if [ "$RET" != "0" ] ; then
+		echo "TEST FAILED"
+	fi
+	exit $RET
 }
 
 checkmanifest sample sample

-- 
UNNAMED PROJECT



More information about the pkg-java-commits mailing list